package com.example.android_flutter_wifi.wifiUtils;

import android.content.Context;
import android.os.Looper;
import android.util.Log;

import androidx.annotation.NonNull;

import com.example.android_flutter_wifi.wifiUtils.wifiConnect.ConnectionErrorCode;
import com.example.android_flutter_wifi.wifiUtils.wifiConnect.ConnectionSuccessListener;

import java.util.concurrent.CountDownLatch;

public class WifiConnect extends Thread implements ConnectionSuccessListener {

    CountDownLatch countDownLatch;
    Context context;
    String ssid;
    String password;

    public WifiConnect(CountDownLatch countDownLatch, Context context, String ssid, String password) {
        this.countDownLatch = countDownLatch;
        this.context = context;
    }

    @Override
    public void run() {
        Looper.prepare();
        Log.e("Enter here", "Enter here in the run method");
        WifiUtils.withContext(context).connectWith(ssid, password).onConnectionResult(this).start();
    }

    @Override
    public void success() {
        Log.e("Success", "Success");
        countDownLatch.countDown();;
    }

    @Override
    public void failed(@NonNull ConnectionErrorCode errorCode) {
        Log.e("Success", "Error");
        countDownLatch.countDown();
    }
}
